# Radar version
rev: {RadarModel: MPDR, RadarVersion: 0.1}
#
## Define the default Meta Data for describing the current waveform
cipMetaData:
  sampleRate_sps: [3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7]
  sampleRateUas_sps: [3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7, 3.2E7]
  sampleRateWx_sps: [3.2E7, 8000000.0]
  numChannels: 8.0
  numPris: 160.0
  numPrisUas: 160.0
  numPrisWx: 120.0
  wxMode: false
  maxRxTxBias: 1024.0
  pulseLength_s: [1.33125E-5, 1.0E-6, 1.0E-6, 1.33125E-5, 1.33125E-5, 1.0E-6, 1.0E-6,
    1.33125E-5]
  pulseLengthWx_s: [1.0E-6, 1.33125E-5]
  pulseLengthUas_s: [1.33125E-5, 1.0E-6, 1.0E-6, 1.33125E-5, 1.33125E-5, 1.0E-6, 1.0E-6,
    1.33125E-5]
  bandWidth: [2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7]
  bandWidthUas: [2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7, 2.0E7]
  bandWidthWx: [2.0E7, 1000000.0]
  # samples/pri determine emperically
  priSize: 4249.0
  # default values to be filled in at runtime...
  priTime_s: 0.0
  cipTime_s: 0.0
  cipNum: -1.0
  Filename: ''
  cipCenterAzimuth_d: 0.0
  cipCenterElevation_d: 0.0
  cipCenterRoll_d: 0.0
  cipCenterFrequency_hz: 9.3E9
## end of meta data

# define the Doppler processing type [hanningFft, dft]
dopplerType: hanningFft
# define the Pulse Compressor weighting 
pcTaylorSll: -40.0
pcTaylorNbar: 4.0
# zero out receive data during transmit interval
zeroTransmit: true
# number of PRIs to discard at after startup... to allow the transmitter to stablize (warmup)
discardPris: 8000.0
# number of cells near zero-doppler to not process for detections.
numClutterCells: 3.0
# index of the clutter peak
clutterCellPeak: 81.0
# Thresholds...
peakThreshold_dB: 13.0
cfarThreshold_dB: 13.412758
slbMultiplier_dB: 17.0
# maximum detections / dwell -- not implemented yet
maxDect: 10.0
cfarWindowSize: 8.0
cfarGuardCells: 2.0
# cfar type [range] (only one implemented at this time)
cfarType: range
cfarPasses: 1.0
# normalizer type: [meanBg, doppler, dopplerShear, (range) (rangeShear)] range and rangeShear not implemented.
normalizerType: dopplerShear
normalizerType_wx: meanBg
normalizerType_uas: dopplerShear
normalizerMinRange_m: 12000.0
normalizerShearCount: 3.0
